Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Interface DiscountMgmt

All Superinterfaces
  javax.ejb.EJBObject, Remote

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface DiscountMgmt

extends javax.ejb.EJBObject

This interface defines the public interface of the `DiscountMgmt` service. This service controls the persistance of discount sets and the creation and access of discounts.

Method Summary
`QualificationDiscountDef` | `getDiscountById(QualificationDiscountId id)` Deprecated See BEA Commerce product offering
`QualificationDiscountDef` | `getDiscountByName(String discountName)` Deprecated See BEA Commerce product offering
`QualificationDiscountDef` | `getDiscountByName(String setName, String discountName)` Deprecated use getDiscountByName(String discountName)
`Set` | `getDiscountsById(Set idSet, Set qualDiscountDefSet)` Deprecated See BEA Commerce product offering
`Set` | `getGlobalDiscounts()` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getGlobalDiscounts

    Set getGlobalDiscounts()
                           throws RemoteException

  Deprecated See BEA Commerce product offering

  Gets all the global discounts currently deployed

  Returns
    a Set containging all of the global QualificationDiscountDef objects currently deployed, if there are no global discounts deployed the Set will be empty.
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountById

    QualificationDiscountDef getDiscountById(QualificationDiscountId id)
                                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Gets a discount (`QualificationDiscountDef`) by it's id (`QualificationDiscountId`).

  Parameters
    `id` - the `QualificationDiscountId` of the discount
  Returns
    the `QualificationDiscountDef` specifed by the id or null if the discount was not found
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountsById

    Set getDiscountsById(Set idSet,
                         Set qualDiscountDefSet)
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Gets a `Set` of `QualificationDiscountDef`s whose ids (`QualificationDiscountId`)s are in the `Set` argument passed.

  Parameters
    `idSet` - a Set of `QualificationDiscountId` objects. This Set will not be modified by this method.
    `qualDiscountDefSet` - an empty set into which the `QualificationDiscountDef` objects will be placed. This set must be modifiable. Anything that was already in the set will be removed.
  Returns
    a Set, the one specifed by the `qualDiscountDefSet` parameter, of `QualificationDiscountDef` objects whose `QualificationDiscountId`s match those passed in the `idSet` parameter. If no matching `QualificationDiscountDef` objects the returned set will be empty.
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountByName

    QualificationDiscountDef getDiscountByName(String discountName)
                                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Gets a discount definition (`QualificationDiscountDef`) by its name. Since discount name are only unquie within a discount set the set name is required also.

  Parameters
    `setName` - the name of the set to which the discount belongs
    `discountName` - the id (`QualificationDiscountId`) of the discount to retrieve
  Returns
    the discount definition (`QualificationDiscountDef`), or null if the discount was not found
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountByName

    QualificationDiscountDef getDiscountByName(String setName,
                                               String discountName)
                                               throws RemoteException

  Deprecated use getDiscountByName(String discountName)

  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved